
TYPO3.Flow - Bug # 40372

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2012-08-29 Assigned To: Robert Lemke
Updated: 2012-12-14 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Git 1.1
Subject: Headers::has() always returns FALSE for Cache-Control
Description

Because the Cache-Control header is handled in a special way, has() returns FALSE even though cache control directives have been
set.

Associated revisions
Revision 28fc7e7b - 2012-08-29 12:45 - Robert Lemke

[BUGFIX] Fix Headers::has() for Cache-Control

The Http\Headers::get() method now correctly returns
TRUE if a cache control header exists.

Change-Id: I3323d2f4be6d3c718850ba4d97648d11c644c282
Resolves: #40372
Releases: 1.1, 1.2

Revision 9eaeba7b - 2012-08-30 17:22 - Robert Lemke

[BUGFIX] Fix Headers::has() for Cache-Control

The Http\Headers::get() method now correctly returns
TRUE if a cache control header exists.

Change-Id: I3323d2f4be6d3c718850ba4d97648d11c644c282
Resolves: #40372
Releases: 1.1, 1.2

History
#1 - 2012-08-29 12:46 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14185

#2 - 2012-08-29 13:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:28fc7e7b717218ee69516112373bd5b6a7c9237a.

#3 - 2012-08-30 17:22 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/14220

#4 - 2012-08-31 17:35 - Robert Lemke
- Status changed from Under Review to Resolved

Applied in changeset commit:9eaeba7bc40276418a74410ce63f6217b6630814.

#5 - 2012-12-14 10:58 - Karsten Dambekalns
- Target version changed from 1876 to 1.1.1
- Affected Flow version changed from Git 1.2 (master) to Git 1.1

2015-08-03 2/2

http://review.typo3.org/14220

